<div class="col-lg-12 animated fadeInRight list-payment-extra">
    <div class="input-group">
    </div>
    <div class="wrapper wrapper-content animated fadeInRight">
        <div class="row">
            <div>
                <div class="ibox float-e-margins">
                    <div class="ibox-title">
                        <div class="row">
                            <div class="col-sm-12">
                                <h3>
                                    <strong>Manage Users</strong>
                                </h3>
                            </div>
                        </div>
                        <div class="fm-row">
                            <div class="row">
                                <div class="col-sm-4">
                                        <input [(ngModel)]="code" (keydown.enter)="getUers(item.value)" name="code" autocomplete="off" type="text" #item class="form-control input-sm-3" placeholder="Search"
                                        />
                                </div>
                                <div class="col-sm-8 text-right">
                                    <button type="get" (click)="getUers(item.value);" class="btn btn-sm btn-primary blue"> <i aria-hidden="true" class="fa fa-search"></i> Search</button>
                                    <button class="btn btn-sm btn-primary green" (click)="refreshPromocode()"><i aria-hidden="true" class="fa fa-refresh" ></i> Refresh</button>
                                    <button class="btn btn-sm btn-primary red" (click)="reset()"><i aria-hidden="true" class="fa fa-eraser" ></i> Reset filters</button>
                                    <button type="submit" class="btn btn-sm btn-primary blue" [routerLink]="['/admin/administration/roles/add']">Add new record</button>
                                </div>
                            </div>
                        </div>
                        <div class="ibox-content">
                            <div class="table-responsive custom-table">
                                <table aria-describedby="Manage Users" class="table table-striped table-bordered table-responsive zoom">
                                    <thead>
                                        <tr>
                                            <th scope="col" class="sorting" (click)="sort('name')" >FirstName
                                                <span>
                                                    <i aria-hidden="true" class="fa fa-sort-asc fa_custom up" [ngClass]="{'sorted-color': sortOrder=='desc' && key =='name' }"></i>
                                                    <i aria-hidden="true" class="fa fa-sort-desc fa_custom down" [ngClass]="{'sorted-color': sortOrder=='asc' && key =='name' }"></i>
                                                </span>
                                            </th>
                                            <th scope="col" (click)="sort('code')">LastName
                                                <span>
                                                    <i aria-hidden="true" class="fa fa-sort-asc fa_custom up" [ngClass]="{'sorted-color': sortOrder=='desc' && key =='code' }"></i>
                                                    <i aria-hidden="true" class="fa fa-sort-desc fa_custom down" [ngClass]="{'sorted-color': sortOrder=='asc' && key =='code' }"></i>
                                                </span>
                                            </th>
                                            <th scope="col"  (click)="sort('discount')" >Email
                                                <span>
                                                    <i aria-hidden="true" class="fa fa-sort-asc fa_custom up" [ngClass]="{'sorted-color': sortOrder=='desc' && key =='discount' }"></i>
                                                    <i aria-hidden="true" class="fa fa-sort-desc fa_custom down" [ngClass]="{'sorted-color': sortOrder=='asc' && key =='discount' }"></i>
                                                </span>
                                            </th>
                                            <th scope="col"  (click)="sort('discount')" >PhoneNumber
                                                <span>
                                                    <i aria-hidden="true" class="fa fa-sort-asc fa_custom up" [ngClass]="{'sorted-color': sortOrder=='desc' && key =='discount' }"></i>
                                                    <i aria-hidden="true" class="fa fa-sort-desc fa_custom down" [ngClass]="{'sorted-color': sortOrder=='asc' && key =='discount' }"></i>
                                                </span>
                                            </th>
                                            <th scope="col"  (click)="sort('discount')" >Role
                                                <span>
                                                    <i aria-hidden="true" class="fa fa-sort-asc fa_custom up" [ngClass]="{'sorted-color': sortOrder=='desc' && key =='discount' }"></i>
                                                    <i aria-hidden="true" class="fa fa-sort-desc fa_custom down" [ngClass]="{'sorted-color': sortOrder=='asc' && key =='discount' }"></i>
                                                </span>
                                            </th>
                                            <th scope="col" (click)="sort('created_at')" >Date
                                                <span>
                                                    <i aria-hidden="true" class="fa fa-sort-asc fa_custom up" [ngClass]="{'sorted-color': sortOrder=='desc' && key =='created_at' }"></i>
                                                    <i aria-hidden="true" class="fa fa-sort-desc fa_custom down" [ngClass]="{'sorted-color': sortOrder=='asc' && key =='created_at' }"></i>
                                                </span>
                                            </th>
                                            <th scope="col">Action</th>
                                            
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <span *ngIf="searchSubmit">
                                              <img class="loader-img" src="assets/img/loader.gif" alt="loader"/>
                                       </span>
                                        <tr *ngFor="let code of usersData">
                                            <td>{{code.firstname?code.firstname:"NA" }}</td>
                                            <td>{{code.lastname?code.lastname:"NA" }}</td>
                                            <td>{{code.email?code.email:"NA" }}</td>
                                            <td>{{code.phone_number?code.phone_number:"NA" }}</td>
                                            <td>{{code.role_name?code.role_name:"NA" }}</td>
                                            <td>{{code.created_at | date}}</td>
                                            <td>
                                                <span matTooltip="Edit">
                                                    <a [routerLink]="['/admin/administration/roles/edit', code._id]">
                                                        <i aria-hidden="true" class="fa fa-edit text-navy"></i>
                                                    </a>&nbsp;&nbsp;&nbsp;
                                                </span>
                                                <span matTooltip="Delete">
                                                    <a (click)="openDialog(code._id)">
                                                        <i aria-hidden="true" class="fa fa-trash text-navy"></i>
                                                    </a>
                                                </span>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            

                            <br>
                           <div class="container-fluid" *ngIf="usersLength > 0">
                                <div class="row col-md-12 text-center">
                                    <div class="dataTables_info1">
                                            <ngb-pagination [collectionSize]="usersLength" (pageChange)= "pagingAgent($event)" [page]="1" [pageSize]="itemsPerPage"
                                            aria-label="Default pagination" [maxSize]="5" [boundaryLinks]="true"></ngb-pagination>
                                        
                                    </div>
                                </div>
                            </div>
                            <div class="container-fluid"  *ngIf="usersLength==0">
                                <div class="row">
                                    <div class="dataTables_info1">
                                        <div class="col-md-12 text-center form-group">
                                            No records found
										</div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
